How a model version would be served
curl --request GET \
--url https://api.example.com/api/mlflow/registered-models/{name}/serving-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/mlflow/registered-models/{name}/serving-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/mlflow/registered-models/{name}/serving-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/mlflow/registered-models/{name}/serving-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/mlflow/registered-models/{name}/serving-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/mlflow/registered-models/{name}/serving-info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/mlflow/registered-models/{name}/serving-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"model_name": "<string>",
"resolved_version": "<string>",
"flavors": [
"<string>"
],
"serving_python": "<string>",
"python_compatible": true,
"has_signature": true,
"engine": "spark",
"model_python": "<string>",
"input_columns": [
"<string>"
],
"input_types": {}
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}MLflow
How a model version would be served
Engine, Python compatibility and input columns, for the publish dialog.
GET
/
api
/
mlflow
/
registered-models
/
{name}
/
serving-info
How a model version would be served
curl --request GET \
--url https://api.example.com/api/mlflow/registered-models/{name}/serving-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/mlflow/registered-models/{name}/serving-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/mlflow/registered-models/{name}/serving-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/mlflow/registered-models/{name}/serving-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/mlflow/registered-models/{name}/serving-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/mlflow/registered-models/{name}/serving-info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/mlflow/registered-models/{name}/serving-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"model_name": "<string>",
"resolved_version": "<string>",
"flavors": [
"<string>"
],
"serving_python": "<string>",
"python_compatible": true,
"has_signature": true,
"engine": "spark",
"model_python": "<string>",
"input_columns": [
"<string>"
],
"input_types": {}
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Registered model name.
Query Parameters
Model version, e.g. 3. Mutually exclusive with alias.
Model alias, e.g. production. Mutually exclusive with version.
Response
Successful Response
What the Portal needs to know about a model version before publishing it.
Engine the model would be served with; None if it can't be served.
Available options:
spark, pyfunc Input column names from the model's signature, if it has a column-based one.
MLflow type of each signature input column (for example double, string, boolean or datetime), if the model has a column-based signature.
Show child attributes
Show child attributes
Was this page helpful?

